karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christian Schneider (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-4547) Embed resolver in features.core to avoid errors in bundle resolution when installing CXF as boot feature
Date Mon, 06 Jun 2016 12:40:20 GMT

    [ https://issues.apache.org/jira/browse/KARAF-4547?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15316428#comment-15316428
] 

Christian Schneider commented on KARAF-4547:
--------------------------------------------

The reason is that the resolver in equinox is too old. As equinox does not closely follow
the felix resolver releases and even hand pick changes they include we can not rely on equinox
to fix this. So we embed the resolver code from a stable felix release into the features.core
jar. This makes the karaf feature service independent from the equinox resolver code.

> Embed resolver in features.core to avoid errors in bundle resolution when installing
CXF as boot feature
> --------------------------------------------------------------------------------------------------------
>
>                 Key: KARAF-4547
>                 URL: https://issues.apache.org/jira/browse/KARAF-4547
>             Project: Karaf
>          Issue Type: Bug
>    Affects Versions: 4.0.5
>         Environment: Framework switched to Equinox
>            Reporter: Christian Schneider
>             Fix For: 4.1.0, 4.0.6
>
>
> To reproduce:
> - download and unpack karaf 4.0.5
> - Add CXF 3.1.5 to the boot features like below
> - Switch framework to equinox
> Start karaf using bin/karaf
> 2016-06-02 11:59:05,644 | ERROR | 0bd-8aec27f84fc4 | cxf-core                       
 | 67 - org.apache.cxf.cxf-core - 3.1.5 | FrameworkEvent ERROR - org.apache.cxf.cxf-core
> org.osgi.framework.BundleException: Could not resolve module: org.apache.cxf.cxf-core
[67]
> ...
>   Unresolved requirement: Import-Package: org.apache.ws.commons.schema; version="[2.2.0,3.0.0)"
>   Unresolved requirement: Import-Package: javax.annotation; version="[0.0.0,2.0.0)"
> See this for the full log:
> http://apaste.info/QD8
> If the error does not occur stop karaf, delete data dir and start karaf again some times.
> This bug was originally reported by our Talend ESB team. I have attached the link to
the issue.
> The issue seems to happen on windows and linux but only on equinox. On felix it works
fine.
> I assume that this might be releated to the felix resolver. Equinox contains an older
version of the resolver.
> ----
> featuresRepositories = \
>     mvn:org.apache.karaf.features/spring/4.0.5/xml/features, \
>     mvn:org.apache.karaf.features/standard/4.0.5/xml/features, \
>     mvn:org.apache.karaf.features/framework/4.0.5/xml/features, \
>     mvn:org.apache.karaf.features/enterprise/4.0.5/xml/features, \
>     mvn:org.apache.cxf.karaf/apache-cxf/3.1.5/xml/features
> featuresBoot = \
>     (instance, \
>     package, \
>     log, \
>     ssh, \
>     aries-blueprint, \
>     framework, \
>     system, \
>     feature, \
>     shell, \
>     management, \
>     service, \
>     jaas, \
>     shell-compat, \
>     deployer, \
>     diagnostic, \
>     wrap, \
>     bundle, \
>     config, \
>     kar), \
> 	spring-dm, \
>     cxf-abdera, \
>     cxf, \
>     cxf-commands



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message